<?php
require 'acesso.php';
//$con = new PDO("mysql:dbname=$database; port=5506; charset=utf8", $usuario, $senha);
//$con = new PDO("mysql:dbname=jacare_mt; host=localhost:5506; charset=utf8", 'root', 'cG90bm8t');

$res = array();

function CarregarFirma($cpf_cnpj)
{
    global $con;
    global $res;
    $query = "SELECT * FROM afirma WHERE arcgcfirma = '$cpf_cnpj'";
    $ret = $con->prepare($query);
    $ret->execute();
    $mensagem = $ret->errorInfo();
    if ($mensagem[0] == "00000") {
        if ($ret->rowCount() > 0) {
            $res["firma"] = array();
            while ($row = $ret->fetch(PDO::FETCH_OBJ)) {
                array_push($res["firma"], $row);
            }
            $res["sucesso"] = 1;
        } else {
            $res["sucesso"] = 0;
            $res["mensagem"] = $mensagem[2];
        }
    } else {
        $res["sucesso"] = 0;
        $res["mensagem"] = $mensagem[2];
    }

    $res['dados'] = $cpf_cnpj;
}

try {
    if (isset($_POST['novo'])) {
        $arbaifirma = $_POST['arbaifirma'];
        /* $arbmp_imp = $_POST['arbmp_imp ']; */
        $arcepfirma = $_POST['arcepfirma'];
        $arcgcfirma = $_POST['arcgcfirma'];
        $arcidfirma = $_POST['arcidfirma'];
        $arcodmunic = $_POST['arcodmunic'];
        $aremail = $_POST['aremail'];
        $arendfirma = $_POST['arendfirma'];
        $arfantasia = $_POST['arfantasia'];
        $arfirma = $_POST['arfirma'];
        $arfo1firma = $_POST['arfo1firma'];
        $ari_mfirma = $_POST['ari_mfirma'];
        $arinsfirma = $_POST['arinsfirma'];
        $arsuframa = $_POST['arsuframa'];
        $arufdfirma = $_POST['arufdfirma'];
        $sr_deleted = $_POST['sr_deleted'];
        // $valida_sys = $_POST['valida_sys'];
        // $ret = $con->prepare("INSERT INTO afirma (arfirma, arcgcfirma, sr_deleted) VALUES ('$arfirma', '$arcgcfirma', '$sr_deleted')");

        $ret = $con->prepare("INSERT INTO afirma (
arbaifirma, 
arcepfirma, 
arcgcfirma, 
arcidfirma, 
arcodmunic, 
aremail, 
arendfirma, 
arfantasia, 
arfirma,    
arfo1firma, 
ari_mfirma, 
arinsfirma, 
arsuframa, 
arufdfirma, 
sr_deleted
) VALUES (
'$arbaifirma', 
'$arcepfirma', 
'$arcgcfirma',
'$arcidfirma', 
'$arcodmunic', 
'$aremail', 
'$arendfirma', 
'$arfantasia', 
'$arfirma', 
'$arfo1firma', 
'$ari_mfirma', 
'$arinsfirma', 
'$arsuframa',
'$arufdfirma', 
'$sr_deleted')");
        $res['query'] = $ret->queryString;
        $ret->execute();
        $mensagem = $ret->errorInfo();
        if ($mensagem[0] == "00000") {
            CarregarFirma($arcgcfirma);
        } else {
            $res['sucesso'] = 0;
            $res['mensagem'] = $mensagem[2];
        }
    } else {
        $cpf_cnpj = $_POST['cpf_cnpj'];
        CarregarFirma($cpf_cnpj);
    }
} catch (Exception $e) {
    $res['erro'] = "$e->getCode() - $e->getMessage()";
}

echo json_encode($res);
$con = null;
?>

